Subject: [Sigtran] About "draft-vk-sigtran-isp-communication-00.txt"

From: John McLaine <[email-masked]>
Date: Mon, 4 Mar 2002 20:40:38 -0800 (PST)

Vipin, Kamesh
Kindly suggest/help in the following points that are
realted to
"draft-vk-sigtran-isp-communication-00.txt":
 
1). After reading the draft, I think the message
distribution function would be configured with a no.
of ASPs in an AS. Now all the time, whenever there is
at least one ASP ACTIVE in the AS, all DATA from User
Parts would be distributed among all these ASPs (based
on some implementation dependent algo.), no matter
what is their current state, as Non-ACTIVE ASPs can
send DATA via the Coordinating ACTIVE ASP as well.
 
Sir, if my above understanding is correct then please
tell me the behavior of the system when the operator
wants to remove/add some ASP from/in service of the
AS, at run time.

2) This draft also requires that all the ASPs within
one AS and all SGPs within one SG MUST support this
extension. Peasee confirm.

3) It is not mentioned in the draft that when the peer
messages should be served. I think these should be
served in AS ACTIVE state only.

4). The draft does gives no error handling text.

5). Section: 2.3 Mis-Sequencing Problem and its
Solution; on top of Page 13:
            "While this procedure takes place all the
data arriving at SGP2 for
     associations (a) and (b) should be buffered."
 
        I think DATA ( that was being sent by SGP1
before failure on associations (a) and (b) ) for
associations (a) and (b)  will be sent/forwarded to
SGP2 only on the succesfull completion of the
mentioned procedure. Or should this buffering be done
at SGP1. Please make the things clear here.

6). Please confirm about Sequence Numbers:
    I think, Each ASP will maintain 'one received
sequence counter and one sent sequence counter' per
AS-SGP; where the ASP is configured to communicate
DATA with this SGP for this AS. 

7). Kndly explain ur views in the following:
    Ideally, SGPs will serve traffic for some AS only
when some ASP wants and shows it to SGP by completing
ASPM. Suppose now traffic is ACTIVE for AS1 between
SGP1 & ASP1 and between SGP1 & ASP2. Now two cases:
    (a) ASP1 becomes Non-ACTIVE in SGP1 due to some
reasons out of ASP1's control. So SGP1 can send/forwad
traffic to it by/via ASP2. - No problem here, its OK.
    (b) ASP1 becomes Non-ACTIVE in SGP1 deliberately
(say it released association deliberately). So again
SGP1 will send/forward DATA to it by/via ASP2. Here is
problem as Ideally SGP1 now should not send traffic to
ASP1 anyway, as it seems against the basic philosophy
of ASP traffic activation process (ASP UP and then ASP
ACTIVE).
And even if SGP1 don't want to send traffic to ASP1 in
such situation, how it would DECIDE that ASP has gone
down DELIBERATELY or NON_DELIBERATELY.
So kindly clarify.

regards,
John.

__________________________________________________
Do You Yahoo!?
Try FREE Yahoo! Mail - the world's greatest free email!
http://mail.yahoo.com/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran